/********** Template CSS **********/
:root {
  --primary: #fda12b;
  --secondary: #8d9297;
  --light: #f8f9fa;
  --dark: #182333;
}

.back-to-top {
  position: fixed;
  display: none;
  right: 30px;
  bottom: 30px;
  z-index: 99;
}

/*** Spinner ***/
#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
  z-index: 99999;
}

#spinner.show {
  transition: opacity 0.5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}

/*** Button ***/
.btn {
  font-weight: 500;
  transition: 0.5s;
}

.btn.btn-primary,
.btn.btn-outline-primary:hover {
  color: #ffffff;
}

.btn-square {
  width: 38px;
  height: 38px;
}

.btn-sm-square {
  width: 32px;
  height: 32px;
}

.btn-lg-square {
  width: 48px;
  height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
}

/*** Navbar ***/
.navbar.sticky-top {
  top: -100px;
  transition: 0.5s;
}

.navbar .navbar-nav .nav-link {
  margin-left: 30px;
  padding: 25px 0;
  color: var(--secondary);
  font-weight: 500;
  text-transform: uppercase;
  outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
  color: var(--primary);
}

.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  vertical-align: middle;
  margin-left: 8px;
}

@media (max-width: 991.98px) {
  .navbar .navbar-nav .nav-link {
    margin-left: 0;
    padding: 10px 0;
  }

  .navbar .navbar-nav {
    margin-top: 25px;
    border-top: 1px solid #eeeeee;
  }
}

@media (min-width: 992px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    border: none;
    margin-top: 0;
    top: 150%;
    right: 0;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
  }

  .navbar .nav-item:hover .dropdown-menu {
    top: 100%;
    visibility: visible;
    transition: 0.5s;
    opacity: 1;
  }
}

/*** Header ***/
.carousel-caption {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  text-align: start;
  background: rgba(0, 0, 0, 0.65);
  z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
  width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  width: 4rem;
  height: 4rem;
  background-color: var(--dark);
  border: 15px solid var(--dark);
  border-radius: 50px;
}

.carousel-caption .breadcrumb-item + .breadcrumb-item::before {
  content: "\f111";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  color: var(--primary);
}

/* @media (max-width: 768px) {
  #header-carousel .carousel-item {
    position: relative;
    min-height: 450px;
  }

  #header-carousel .carousel-item img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .carousel-control-prev-icon,
  .carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
    border-width: 12px;
  }
} */

.page-header {
  background: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)),
    url(../img/carousel-1.jpg) center center no-repeat;
  background-size: cover;
}

.page-header .breadcrumb-item + .breadcrumb-item::before {
  color: #999999;
}

/*** Facts ***/
.facts-overlay {
  position: absolute;
  padding: 30px;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background: rgba(0, 0, 0, 0.65);
}

.facts-overlay h1 {
  font-size: 120px;
  color: transparent;
  -webkit-text-stroke: 2px var(--primary);
}

.facts-overlay a:hover {
  color: var(--primary) !important;
}

/*** Service ***/
.service-text::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 0;
  top: 0;
  left: 0;
  background: var(--primary);
  opacity: 0;
  transition: 0.5s;
}

.service-item:hover .service-text::before {
  height: 100%;
  opacity: 1;
}

.service-text * {
  position: relative;
  transition: 0.5s;
  z-index: 1;
}

.service-item:hover .service-text * {
  color: #ffffff !important;
}

/*** Appointment ***/
.appointment {
  background: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)),
    url(../img/banner.png) center center no-repeat;
  background-size: cover;
}

/*** Team ***/
.team-text {
  position: absolute;
  width: 75%;
  bottom: 30px;
  left: 0;
  transition: 0.5s;
}

.team-item:hover .team-text {
  width: 100%;
}

.team-text * {
  transition: 0.5s;
}

.team-item:hover .team-text * {
  letter-spacing: 2px;
}

/*** Testimonial ***/
.testimonial-carousel .owl-item img {
  width: 100px;
  height: 100px;
}

.testimonial-carousel .owl-nav {
  margin-top: 30px;
  display: flex;
  justify-content: start;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
  margin-right: 15px;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--dark);
  border: 2px solid var(--primary);
  border-radius: 50px;
  font-size: 18px;
  transition: 0.5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
  color: #ffffff;
  background: var(--primary);
}

/*** Footer ***/
.footer {
  color: #999999;
}

.footer .btn.btn-link {
  display: block;
  margin-bottom: 5px;
  padding: 0;
  text-align: left;
  color: #999999;
  font-weight: normal;
  text-transform: capitalize;
  transition: 0.3s;
}

.footer .btn.btn-link::before {
  position: relative;
  content: "\f105";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  color: #999999;
  margin-right: 10px;
}

.footer .btn.btn-link:hover {
  color: var(--light);
  letter-spacing: 1px;
  box-shadow: none;
}

.footer .copyright {
  padding: 25px 0;
  font-size: 15px;
  border-top: 1px solid rgba(256, 256, 256, 0.1);
}

.footer .copyright a {
  color: var(--light);
}

.footer .copyright a:hover {
  color: var(--primary);
}

.cv-helping-wrp {
  padding: 0;
  position: relative;
  overflow: hidden;

  @media screen and (max-width: 767px) {
    padding: 0;
  }

  .lux-grid-wrp {
    .lux-card {
      width: 100%;
      height: 640px;
      background-repeat: no-repeat;
      background-position: bottom center;
      background-size: cover;
      position: relative;
      border-radius: 24px;
      @include anim1();
      overflow: hidden;

      @media screen and (max-width: 991px) {
        height: 400px;
        background-size: cover;
        margin-bottom: 24px;
      }

      &::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.5); // Adjust the opacity as needed
        z-index: 1;
      }

      &.lux-card1 {
        background-image: url(../img/lux-grid2.jpg);
      }
      &.lux-card2 {
        background-image: url(../img/lux-grid.jpg);
      }

      &:hover {
        .caption-wrp {
          bottom: 20px;

          a {
            opacity: 1;
          }
        }
      }

      .caption-wrp {
        width: 100%;
        position: absolute;
        left: 0;
        bottom: 0;
        padding: 60px 60px 30px;
        @include anim1();
        z-index: 2; // Ensuring it appears above
        @media screen and (max-width: 767px) {
          padding: 24px 24px 24px;
        }

        h2 {
          color: #fff;
          font-size: 28px;
          font-weight: 300;
          line-height: normal;
          text-transform: uppercase;
          margin-bottom: 10px;
        }

        p {
          font-size: 16px;
          color: #ffffff; // Use valid color code
          font-weight: 300;
          line-height: 1.4;
          max-width: 570px;
        }

        .readmore-cta {
          color: #ffffff; // Ensure link is also visible
          text-decoration: underline;
        }
      }
    }
  }

  .ltr-container {
    max-width: 1400px;
    margin: 70px auto;

    .ltr-card {
      width: 100%;
      height: 190px;
      background-repeat: no-repeat;
      background-position: top center;
      background-size: cover;
      position: relative;

      p {
        color: #fff;
        font-size: 20px;
        font-weight: 500;
        margin: 0px;
        line-height: normal;
        padding: 0px 40px;
        position: absolute;
        left: 0px;
        bottom: 20px;
      }

      &.ltr-pic1 {
        background-image: url(../images/ltr-1.png);
      }

      &.ltr-pic2 {
        background-image: url(../images/ltr-2.png);
      }

      &.ltr-pic3 {
        background-image: url(../images/ltr-3.png);
      }
    }
  }

  .cvr {
    max-width: 940px;
    margin: 0 auto;
    text-align: center;
    .common-ttle {
      font-size: 44px;
      line-height: 73px;
      margin-bottom: 20px;
    }
    p {
      font-size: $fs-24;
      line-height: 32px;
    }
    .btn-box {
      margin-top: 20px;
    }
  }

  .cv-info-wrp {
    width: 100%;
    padding: 60px 75px 60px;
    background-color: #000000;
    border-radius: 24px;
    /* margin-top: 70px;*/

    @media screen and (min-width: 768px) and (max-width: 1300px) {
      padding: 24px 16px 24px;
    }

    .info-numb-card {
      margin-top: 50px;
      position: relative;
      padding-bottom: 50px;

      &.bord {
        &::before {
          content: "";
          width: 80px;
          height: 1px;
          position: absolute;
          bottom: 0px;
          left: 50%;
          background-color: #d3d3d3;
          transform: translate(-50%, 0%);
        }
      }

      h2 {
        color: #ffffff;
        font-size: 24px;
        line-height: 1;
        margin-bottom: 15px;
      }
      p {
        color: #919191;
        font-weight: 300;
        line-height: 1.2;

        small {
          font-size: 12px;
        }
      }
    }
  }

  &.no-bg {
    &::before,
    &::after {
      display: none;
    }
  }
}
